PaHostErrorInfo Struct Reference

`#include <portaudio.h>`

## Data Fields

PaHostApiTypeId | hostApiType
long | errorCode
const char * | errorText

## Detailed Description

Structure used to return information about a host error condition.

Definition at line 394 of file portaudio.h.

## Field Documentation

## errorCode

long PaHostErrorInfo::errorCode

the error code returned

Definition at line 396 of file portaudio.h.

## errorText

const char* PaHostErrorInfo::errorText

a textual description of the error if available (encoded as UTF-8), otherwise a zero-length C string

Definition at line 397 of file portaudio.h.

## hostApiType

PaHostApiTypeId PaHostErrorInfo::hostApiType

the host API which returned the error code

Definition at line 395 of file portaudio.h.

The documentation for this struct was generated from the following file:

- portaudio.h